<?xml version="1.0" encoding="windows-1251"?>


<xsl:stylesheet
	version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
>


	<xsl:import href="calendar.xsl"/>


	<xsl:template match="weekdays">
		<xsl:for-each select="day">
			<td
				bgcolor="#eeeeee"
				align="center"
				width="16%"
			>
				<xsl:choose>
					<xsl:when test="position() != 1">
						<xsl:value-of select="@title"/>
					</xsl:when>
					<xsl:otherwise>
						<span style="color: red">
							<xsl:value-of select="@title"/>
						</span>
					</xsl:otherwise>
				</xsl:choose>
			</td>
		</xsl:for-each>
	</xsl:template>


	<xsl:template name="week">
		<xsl:for-each select="day">
			<td align="center" width="16%">
				<xsl:attribute name="bgcolor">
					<xsl:choose>
						<xsl:when test="@in">
							#ffcc00
						</xsl:when>
						<xsl:otherwise>
							white
						</xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>


				<xsl:choose>
					<xsl:when test="position() != 1">
						<xsl:call-template name="day"/>
					</xsl:when>
					<xsl:otherwise>
						<span style="color: red">
							<xsl:call-template name="day"/>
						</span>
					</xsl:otherwise>
				</xsl:choose>
			</td>
		</xsl:for-each>
	</xsl:template>


</xsl:stylesheet>